#include<bits/stdc++.h>
using namespace std;

long long n,del[10000],ans=0;

int main(){
 cin>>n;

 long long k=0,br1=0,br2=0,br3=0;

 for(int i=1 ; i<=n/2 ; i++){
    if(n%i==0){
        del[k++]=i;
    }
 }

 del[k++]=n;

 for(int i=0 ; i<k ; i++){
    for(int j=i ; j<k ; j++){
        int a,b,c;
        a=del[i];
        b=del[j];
        c=(n/del[i])/del[j];

        if(a*b*c==n){
            if(a==b && b==c){
                br1++;
            }else if(a==b || b==c ||a==c){
                br2++;
            }else{
                br3++;

            }
        }
    }
 }

 cout<<br1+br2/2+br3/3;

 return 0;
}

